de.esprit.netsuite.server.cpu

## Class ServerThreadPool

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - de.esprit.netsuite.common.AbstractThreadPool
      - - de.esprit.netsuite.server.cpu.ServerThreadPool

- All Implemented Interfaces:
    Dumpable, ServerObject, java.util.concurrent.Executor, java.util.concurrent.ExecutorService
  Direct Known Subclasses:
    AgentSleeperThreadPool, AgentTimerThreadPool, AgentWorkerThreadPool, ConnectionThreadPool, RequestServiceThreadPool, TransferThreadPool

      public abstract class ServerThreadPool
      extends AbstractThreadPool
      implements ServerObject

  This is the base class for all server thread pools.
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `java.util.concurrent.ThreadPoolExecutor.AbortPolicy, java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerThreadPool(ServerContext serverCtx, int coreSize, int maxSize, java.util.concurrent.BlockingQueue<java.lang.Runnable> queue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerContext` | `getServerContext()` Returns the server runtime environment
    `ServerStatistic` | `getServerStatistic()`
    `protected void` | `sendErrorMail(java.lang.String message, java.lang.Exception error)`

    - ### Methods inherited from class de.esprit.netsuite.common.AbstractThreadPool

      `afterExecute, createThreadFactory, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerThreadPool

          public ServerThreadPool(ServerContext serverCtx,
                          int coreSize,
                          int maxSize,
                          java.util.concurrent.BlockingQueue<java.lang.Runnable> queue)

  - ### Method Detail

    - #### getServerContext

          public ServerContext getServerContext()

      Description copied from interface: `ServerObject`
      Returns the server runtime environment
      Specified by:
        `getServerContext` in interface `ServerObject`

    - #### getServerStatistic

          public ServerStatistic getServerStatistic()

    - #### sendErrorMail

          protected final void sendErrorMail(java.lang.String message,
                           java.lang.Exception error)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.